@mixin make-float($s) {
    #{$s}float- {
        &r {
            float: right;
        }
        &l {
            float: left;
        }
        &none{
            float: none;
        }
        &initial{
            float: initial;
        }
    }
    #{$s}clearfix::after {
        content: "";
        display: table;
        clear: both;
    }
    #{$s}clear- {
        &r {
            clear: right;
        }
        &l {
            clear: left;
        }
        &both {
            clear: both;
        }
        &none {
            clear: none;
        }
    }
}